From: Mathias Gibbens <gibmat@debian.org>
Description: Introduce a quarter second sleep to allow plenty of time for the test server to startup
Forwarded: https://github.com/weaveworks/promrus/issues/22
diff --git a/promrus_test.go b/promrus_test.go
index 94941eb..763db14 100644
--- a/promrus_test.go
+++ b/promrus_test.go
@@ -7,6 +7,7 @@ import (
 	"strconv"
 	"strings"
 	"testing"
+	"time"
 
 	"github.com/prometheus/client_golang/prometheus/promhttp"
 	log "github.com/sirupsen/logrus"
@@ -94,6 +95,7 @@ func httpServePrometheusMetrics(t *testing.T) *http.Server {
 		Handler: promhttp.Handler(),
 	}
 	go server.ListenAndServe()
+	time.Sleep(250 * time.Millisecond)
 	return server
 }
 
